Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

Root endpoint

Returns the authenticated user’s account information and an embedded list of their shops, each carrying HAL links to all available actions (products, orders, contacts, theme, etc.).

GET/
Authorization
AuthorizationBearer token (JWT) · headerrequired

OAuth 2.0 Bearer token. Obtain via POST https://auth.onbolder.com/oauth/token.

Responses
200

Authenticated root resource

uidinteger
emailstring
user_namestring
scopesstring
last_logged_onstring<date-time>
_linksobject
_embeddedobject
Show properties
shopsShopSummary[]
Show properties
Array of ShopSummary
idstring
namestring
subdomainstring
urlstring
descriptionstring
currency_codestring
localestring
created_onstring<date-time>
updated_onstring<date-time>
product_countsobject
Show properties
visibleinteger
hiddeninteger
_linksobject
Try it
Server
Authorization
Request
curl -X GET 'https://api.onbolder.com/v1/' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "_links": {
    "curies": [
      {
        "name": "btc",
        "href": "https://api.onbolder.com/docs/v1#{rel}",
        "templated": true
      }
    ],
    "btc:all_products": {
      "href": "https://api.onbolder.com/v1/products{?q,page,per_page,status,shop_subdomains,collections,shop_ids,tags,variants,sku,currency,price.gte,price.lte,sort}",
      "templated": true,
      "title": "All products, with search and filters"
    }
  },
  "uid": 2,
  "email": "user@site.com",
  "user_name": "johnnie85",
  "scopes": "admin,public",
  "_embedded": {
    "shops": [
      {
        "id": 47,
        "subdomain": "acme",
        "url": "acme.onbolder.com",
        "name": "Acme",
        "currency_code": "CLP"
      }
    ]
  }
}

Was this page helpful?